%define	name RoundCubeMail
%define	release	10
%define	version	0.2
%define verrel alpha.1

Summary: RoundCube Webmail is a browser-based multilingual IMAP client
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Internet
License: GNU General Public License (GPL)
URL: http://www.roundcube.net
Source: %{name}-%{version}-%{verrel}.tar.gz
Source1: roundcube-program-lib-html2text.php
Source2: roundcube-bin-html2text.php
Distribution: Elastix
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildArch: noarch
Patch0: roundcube-config.patch
Patch1: roundcube-changepass-integracion-elastix.patch
Patch2: roundcube-elastix-integration2.patch
Patch3: 01-roundcubemail-localization-es_ES-remove-extra-newline.patch
Patch4: 02-roundcubemail-mail-mimepart-remove-stale-boundary.patch
Patch5: 03-roundcubemail-detect-binary-attachment.patch
Patch6: roundcube-elastix-integration-javascript.patch

%description
RoundCube Webmail is a browser-based multilingual IMAP client with an application-like user interface. It provides full functionality you expect from an e-mail client, including MIME support, address book, folder manipulation, message searching and spell checking. RoundCube Webmail is written in PHP and requires the MySQL database. The user interface is fully skinnable using XHTML and CSS 2.

%prep

%setup
cp %{SOURCE1} program/lib/html2text.php
cp %{SOURCE2} bin/html2text.php
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build

%install

# Commonly used progs, assume they are in path if no
# override these definitions.
CP=cp
LN=ln
MKDIR=mkdir
CHMOD=chmod


$MKDIR -p $RPM_BUILD_ROOT/var/www/html/mail
$CP -ra ./* $RPM_BUILD_ROOT/var/www/html/mail/

%files
%defattr(-,root,root)

/var/www/html/mail/*

%clean
rm -rf $RPM_BUILD_ROOT/

%post

#chown -R asterisk.asterisk /var/www/html/mail

##############################################################
#### Script d'installation d'un serveur RoundCube Webmail ####
#### Pour la plateforme Elastix                           ####
####            auteur: Erwan DESVERGNES                  ####  
####            Date: 10/02/2007                          ####
####            Societe: SDCI                             ####
####            Email: erwan.desvergnes@sdci.fr           ####
##############################################################
#mysqladmin create roundcubedb --password=eLaStIx.2oo7
#mysql --user=root --password=eLaStIx.2oo7 roundcubedb < /var/www/html/mail/SQL/mysql.initial.sql
#mysql -uroot -peLaStIx.2oo7 -e"GRANT ALL PRIVILEGES ON roundcubedb.* TO 'roundcube'@'localhost' IDENTIFIED BY 'RounDm2oo7';"


%postun


%changelog
* Thu Jun 24 2010 Alex Villacis Lasso <a_villacis@palosanto.com> - 0.2.10
- Replace vulnerable html2text.php files with copies from 0.4beta.

* Wed Dec 30 2009 Bruno Macias V <bmacias@palosanto.com> - 0.2.9alpha.2
- Fixed bug in automatic login in webmail. Changed piriod (.) by dot (@). This change is in roundcube-elastix-integration2.patch.

* Mon Jun 01 2009 Bruno Macias V <bmacias@palosanto.com> - 0.2.8alpha.2
- Comment line chown asterisk.asterisk in the post. The permission isn't correct.

* Sat Jan 10 2009 Alex Villacis Lasso <a_villacis@palosanto.com> - 0.2.7alpha.2
- Mark package as noarch

* Wed Sep 10 2008 Bruno Macias   <bmacias@palosanto.com>       - 0.2.6alpha.2
- Fixed bug, show content folder and delete email, pacth6 (roundcube-elastix-integration-javascript.patch)  

* Mon Sep 08 2008 Bruno Macias   <bmacias@palosanto.com>       - 0.2.5alpha.1
- Fixed bug, show content folder and delete email 

* Wed Aug 27 2008 Bruno Macias   <bmacias@palosanto.com>       - 0.2.4alpha
- Fixed bug with attachment patch 01-roundcubemail-localization-es_ES-remove-extra-newline.patch 02-roundcubemail-mail-mimepart-remove-stale-boundary.patch 03-roundcubemail-detect-binary-attachment.patch

* Fri Aug 22 2008 Bruno Macias   <bmacias@palosanto.com>       - 0.2.3alpha
- In patch roundcube-config add dependence /etc/postfix/virtual, and better integration with elastix, changepass 

* Tue Aug 13 2008 Bruno Macias   <bmacias@palosanto.com>       - 0.2.2alpha
- Add patch cofiguration for roundcube y patch changepass create by cchiriboga, update version of roundcube and update pacth integration.

* Tue Jun 03 2008 Bruno Macias   <bmacias@palosanto.com>       - 0.1.1-2
- Add patch for elastix integration web mail.

* Tue May 20 2008 Edgar Landivar <elandivar@palosanto.com>     - 0.1.1-1
- Updating to the 0.1.1 version
